"Fossies" - the Fresh Open Source Software Archive

Member "mmw-2.0/configure" (9 Feb 2010, 40490 Bytes) of archive /linux/misc/mmw-2.0.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 #! /bin/sh
    2 
    3 # Guess values for system-dependent variables and create Makefiles.
    4 # Generated automatically using autoconf version 2.13 
    5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
    6 #
    7 # This configure script is free software; the Free Software Foundation
    8 # gives unlimited permission to copy, distribute and modify it.
    9 
   10 # Defaults:
   11 ac_help=
   12 ac_default_prefix=/usr/local
   13 # Any additions from configure.in:
   14 
   15 # Initialize some variables set by options.
   16 # The variables have the same names as the options, with
   17 # dashes changed to underlines.
   18 build=NONE
   19 cache_file=./config.cache
   20 exec_prefix=NONE
   21 host=NONE
   22 no_create=
   23 nonopt=NONE
   24 no_recursion=
   25 prefix=NONE
   26 program_prefix=NONE
   27 program_suffix=NONE
   28 program_transform_name=s,x,x,
   29 silent=
   30 site=
   31 srcdir=
   32 target=NONE
   33 verbose=
   34 x_includes=NONE
   35 x_libraries=NONE
   36 bindir='${exec_prefix}/bin'
   37 sbindir='${exec_prefix}/sbin'
   38 libexecdir='${exec_prefix}/libexec'
   39 datadir='${prefix}/share'
   40 sysconfdir='${prefix}/etc'
   41 sharedstatedir='${prefix}/com'
   42 localstatedir='${prefix}/var'
   43 libdir='${exec_prefix}/lib'
   44 includedir='${prefix}/include'
   45 oldincludedir='/usr/include'
   46 infodir='${prefix}/info'
   47 mandir='${prefix}/man'
   48 
   49 # Initialize some other variables.
   50 subdirs=
   51 MFLAGS= MAKEFLAGS=
   52 SHELL=${CONFIG_SHELL-/bin/sh}
   53 # Maximum number of lines to put in a shell here document.
   54 ac_max_here_lines=12
   55 
   56 ac_prev=
   57 for ac_option
   58 do
   59 
   60   # If the previous option needs an argument, assign it.
   61   if test -n "$ac_prev"; then
   62     eval "$ac_prev=\$ac_option"
   63     ac_prev=
   64     continue
   65   fi
   66 
   67   case "$ac_option" in
   68   -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
   69   *) ac_optarg= ;;
   70   esac
   71 
   72   # Accept the important Cygnus configure options, so we can diagnose typos.
   73 
   74   case "$ac_option" in
   75 
   76   -bindir | --bindir | --bindi | --bind | --bin | --bi)
   77     ac_prev=bindir ;;
   78   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
   79     bindir="$ac_optarg" ;;
   80 
   81   -build | --build | --buil | --bui | --bu)
   82     ac_prev=build ;;
   83   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
   84     build="$ac_optarg" ;;
   85 
   86   -cache-file | --cache-file | --cache-fil | --cache-fi \
   87   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
   88     ac_prev=cache_file ;;
   89   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
   90   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
   91     cache_file="$ac_optarg" ;;
   92 
   93   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
   94     ac_prev=datadir ;;
   95   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
   96   | --da=*)
   97     datadir="$ac_optarg" ;;
   98 
   99   -disable-* | --disable-*)
  100     ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
  101     # Reject names that are not valid shell variable names.
  102     if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
  103       { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
  104     fi
  105     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
  106     eval "enable_${ac_feature}=no" ;;
  107 
  108   -enable-* | --enable-*)
  109     ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
  110     # Reject names that are not valid shell variable names.
  111     if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
  112       { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
  113     fi
  114     ac_feature=`echo $ac_feature| sed 's/-/_/g'`
  115     case "$ac_option" in
  116       *=*) ;;
  117       *) ac_optarg=yes ;;
  118     esac
  119     eval "enable_${ac_feature}='$ac_optarg'" ;;
  120 
  121   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  122   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  123   | --exec | --exe | --ex)
  124     ac_prev=exec_prefix ;;
  125   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  126   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  127   | --exec=* | --exe=* | --ex=*)
  128     exec_prefix="$ac_optarg" ;;
  129 
  130   -gas | --gas | --ga | --g)
  131     # Obsolete; use --with-gas.
  132     with_gas=yes ;;
  133 
  134   -help | --help | --hel | --he)
  135     # Omit some internal or obsolete options to make the list less imposing.
  136     # This message is too long to be a string in the A/UX 3.1 sh.
  137     cat << EOF
  138 Usage: configure [options] [host]
  139 Options: [defaults in brackets after descriptions]
  140 Configuration:
  141   --cache-file=FILE       cache test results in FILE
  142   --help                  print this message
  143   --no-create             do not create output files
  144   --quiet, --silent       do not print \`checking...' messages
  145   --version               print the version of autoconf that created configure
  146 Directory and file names:
  147   --prefix=PREFIX         install architecture-independent files in PREFIX
  148                           [$ac_default_prefix]
  149   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
  150                           [same as prefix]
  151   --bindir=DIR            user executables in DIR [EPREFIX/bin]
  152   --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  153   --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  154   --datadir=DIR           read-only architecture-independent data in DIR
  155                           [PREFIX/share]
  156   --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  157   --sharedstatedir=DIR    modifiable architecture-independent data in DIR
  158                           [PREFIX/com]
  159   --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  160   --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  161   --includedir=DIR        C header files in DIR [PREFIX/include]
  162   --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  163   --infodir=DIR           info documentation in DIR [PREFIX/info]
  164   --mandir=DIR            man documentation in DIR [PREFIX/man]
  165   --srcdir=DIR            find the sources in DIR [configure dir or ..]
  166   --program-prefix=PREFIX prepend PREFIX to installed program names
  167   --program-suffix=SUFFIX append SUFFIX to installed program names
  168   --program-transform-name=PROGRAM
  169                           run sed PROGRAM on installed program names
  170 EOF
  171     cat << EOF
  172 Host type:
  173   --build=BUILD           configure for building on BUILD [BUILD=HOST]
  174   --host=HOST             configure for HOST [guessed]
  175   --target=TARGET         configure for TARGET [TARGET=HOST]
  176 Features and packages:
  177   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  178   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  179   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  180   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  181   --x-includes=DIR        X include files are in DIR
  182   --x-libraries=DIR       X library files are in DIR
  183 EOF
  184     if test -n "$ac_help"; then
  185       echo "--enable and --with options recognized:$ac_help"
  186     fi
  187     exit 0 ;;
  188 
  189   -host | --host | --hos | --ho)
  190     ac_prev=host ;;
  191   -host=* | --host=* | --hos=* | --ho=*)
  192     host="$ac_optarg" ;;
  193 
  194   -includedir | --includedir | --includedi | --included | --include \
  195   | --includ | --inclu | --incl | --inc)
  196     ac_prev=includedir ;;
  197   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  198   | --includ=* | --inclu=* | --incl=* | --inc=*)
  199     includedir="$ac_optarg" ;;
  200 
  201   -infodir | --infodir | --infodi | --infod | --info | --inf)
  202     ac_prev=infodir ;;
  203   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
  204     infodir="$ac_optarg" ;;
  205 
  206   -libdir | --libdir | --libdi | --libd)
  207     ac_prev=libdir ;;
  208   -libdir=* | --libdir=* | --libdi=* | --libd=*)
  209     libdir="$ac_optarg" ;;
  210 
  211   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  212   | --libexe | --libex | --libe)
  213     ac_prev=libexecdir ;;
  214   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  215   | --libexe=* | --libex=* | --libe=*)
  216     libexecdir="$ac_optarg" ;;
  217 
  218   -localstatedir | --localstatedir | --localstatedi | --localstated \
  219   | --localstate | --localstat | --localsta | --localst \
  220   | --locals | --local | --loca | --loc | --lo)
  221     ac_prev=localstatedir ;;
  222   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  223   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  224   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
  225     localstatedir="$ac_optarg" ;;
  226 
  227   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
  228     ac_prev=mandir ;;
  229   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
  230     mandir="$ac_optarg" ;;
  231 
  232   -nfp | --nfp | --nf)
  233     # Obsolete; use --without-fp.
  234     with_fp=no ;;
  235 
  236   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  237   | --no-cr | --no-c)
  238     no_create=yes ;;
  239 
  240   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  241   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
  242     no_recursion=yes ;;
  243 
  244   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  245   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  246   | --oldin | --oldi | --old | --ol | --o)
  247     ac_prev=oldincludedir ;;
  248   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  249   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  250   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
  251     oldincludedir="$ac_optarg" ;;
  252 
  253   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
  254     ac_prev=prefix ;;
  255   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
  256     prefix="$ac_optarg" ;;
  257 
  258   -program-prefix | --program-prefix | --program-prefi | --program-pref \
  259   | --program-pre | --program-pr | --program-p)
  260     ac_prev=program_prefix ;;
  261   -program-prefix=* | --program-prefix=* | --program-prefi=* \
  262   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
  263     program_prefix="$ac_optarg" ;;
  264 
  265   -program-suffix | --program-suffix | --program-suffi | --program-suff \
  266   | --program-suf | --program-su | --program-s)
  267     ac_prev=program_suffix ;;
  268   -program-suffix=* | --program-suffix=* | --program-suffi=* \
  269   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
  270     program_suffix="$ac_optarg" ;;
  271 
  272   -program-transform-name | --program-transform-name \
  273   | --program-transform-nam | --program-transform-na \
  274   | --program-transform-n | --program-transform- \
  275   | --program-transform | --program-transfor \
  276   | --program-transfo | --program-transf \
  277   | --program-trans | --program-tran \
  278   | --progr-tra | --program-tr | --program-t)
  279     ac_prev=program_transform_name ;;
  280   -program-transform-name=* | --program-transform-name=* \
  281   | --program-transform-nam=* | --program-transform-na=* \
  282   | --program-transform-n=* | --program-transform-=* \
  283   | --program-transform=* | --program-transfor=* \
  284   | --program-transfo=* | --program-transf=* \
  285   | --program-trans=* | --program-tran=* \
  286   | --progr-tra=* | --program-tr=* | --program-t=*)
  287     program_transform_name="$ac_optarg" ;;
  288 
  289   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  290   | -silent | --silent | --silen | --sile | --sil)
  291     silent=yes ;;
  292 
  293   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
  294     ac_prev=sbindir ;;
  295   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  296   | --sbi=* | --sb=*)
  297     sbindir="$ac_optarg" ;;
  298 
  299   -sharedstatedir | --sharedstatedir | --sharedstatedi \
  300   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  301   | --sharedst | --shareds | --shared | --share | --shar \
  302   | --sha | --sh)
  303     ac_prev=sharedstatedir ;;
  304   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  305   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  306   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  307   | --sha=* | --sh=*)
  308     sharedstatedir="$ac_optarg" ;;
  309 
  310   -site | --site | --sit)
  311     ac_prev=site ;;
  312   -site=* | --site=* | --sit=*)
  313     site="$ac_optarg" ;;
  314 
  315   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
  316     ac_prev=srcdir ;;
  317   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
  318     srcdir="$ac_optarg" ;;
  319 
  320   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  321   | --syscon | --sysco | --sysc | --sys | --sy)
  322     ac_prev=sysconfdir ;;
  323   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  324   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
  325     sysconfdir="$ac_optarg" ;;
  326 
  327   -target | --target | --targe | --targ | --tar | --ta | --t)
  328     ac_prev=target ;;
  329   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
  330     target="$ac_optarg" ;;
  331 
  332   -v | -verbose | --verbose | --verbos | --verbo | --verb)
  333     verbose=yes ;;
  334 
  335   -version | --version | --versio | --versi | --vers)
  336     echo "configure generated by autoconf version 2.13"
  337     exit 0 ;;
  338 
  339   -with-* | --with-*)
  340     ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
  341     # Reject names that are not valid shell variable names.
  342     if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
  343       { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
  344     fi
  345     ac_package=`echo $ac_package| sed 's/-/_/g'`
  346     case "$ac_option" in
  347       *=*) ;;
  348       *) ac_optarg=yes ;;
  349     esac
  350     eval "with_${ac_package}='$ac_optarg'" ;;
  351 
  352   -without-* | --without-*)
  353     ac_package=`echo $ac_option|sed -e 's/-*without-//'`
  354     # Reject names that are not valid shell variable names.
  355     if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
  356       { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
  357     fi
  358     ac_package=`echo $ac_package| sed 's/-/_/g'`
  359     eval "with_${ac_package}=no" ;;
  360 
  361   --x)
  362     # Obsolete; use --with-x.
  363     with_x=yes ;;
  364 
  365   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  366   | --x-incl | --x-inc | --x-in | --x-i)
  367     ac_prev=x_includes ;;
  368   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  369   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
  370     x_includes="$ac_optarg" ;;
  371 
  372   -x-libraries | --x-libraries | --x-librarie | --x-librari \
  373   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
  374     ac_prev=x_libraries ;;
  375   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  376   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
  377     x_libraries="$ac_optarg" ;;
  378 
  379   -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
  380     ;;
  381 
  382   *)
  383     if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
  384       echo "configure: warning: $ac_option: invalid host type" 1>&2
  385     fi
  386     if test "x$nonopt" != xNONE; then
  387       { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
  388     fi
  389     nonopt="$ac_option"
  390     ;;
  391 
  392   esac
  393 done
  394 
  395 if test -n "$ac_prev"; then
  396   { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
  397 fi
  398 
  399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
  400 
  401 # File descriptor usage:
  402 # 0 standard input
  403 # 1 file creation
  404 # 2 errors and warnings
  405 # 3 some systems may open it to /dev/tty
  406 # 4 used on the Kubota Titan
  407 # 6 checking for... messages and results
  408 # 5 compiler messages saved in config.log
  409 if test "$silent" = yes; then
  410   exec 6>/dev/null
  411 else
  412   exec 6>&1
  413 fi
  414 exec 5>./config.log
  415 
  416 echo "\
  417 This file contains any messages produced by compilers while
  418 running configure, to aid debugging if configure makes a mistake.
  419 " 1>&5
  420 
  421 # Strip out --no-create and --no-recursion so they do not pile up.
  422 # Also quote any args containing shell metacharacters.
  423 ac_configure_args=
  424 for ac_arg
  425 do
  426   case "$ac_arg" in
  427   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  428   | --no-cr | --no-c) ;;
  429   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  430   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  431   *" "*|*"  "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  432   ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  433   *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  434   esac
  435 done
  436 
  437 # NLS nuisances.
  438 # Only set these to C if already set.  These must not be set unconditionally
  439 # because not all systems understand e.g. LANG=C (notably SCO).
  440 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
  441 # Non-C LC_CTYPE values break the ctype check.
  442 if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
  443 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
  444 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
  445 if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
  446 
  447 # confdefs.h avoids OS command line length limits that DEFS can exceed.
  448 rm -rf conftest* confdefs.h
  449 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
  450 echo > confdefs.h
  451 
  452 # A filename unique to this package, relative to the directory that
  453 # configure is in, which we can look for to find out if srcdir is correct.
  454 ac_unique_file=mmw.c
  455 
  456 # Find the source files, if location was not specified.
  457 if test -z "$srcdir"; then
  458   ac_srcdir_defaulted=yes
  459   # Try the directory containing this script, then its parent.
  460   ac_prog=$0
  461   ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  462   test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  463   srcdir=$ac_confdir
  464   if test ! -r $srcdir/$ac_unique_file; then
  465     srcdir=..
  466   fi
  467 else
  468   ac_srcdir_defaulted=no
  469 fi
  470 if test ! -r $srcdir/$ac_unique_file; then
  471   if test "$ac_srcdir_defaulted" = yes; then
  472     { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  473   else
  474     { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  475   fi
  476 fi
  477 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
  478 
  479 # Prefer explicitly selected file to automatically selected ones.
  480 if test -z "$CONFIG_SITE"; then
  481   if test "x$prefix" != xNONE; then
  482     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  483   else
  484     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  485   fi
  486 fi
  487 for ac_site_file in $CONFIG_SITE; do
  488   if test -r "$ac_site_file"; then
  489     echo "loading site script $ac_site_file"
  490     . "$ac_site_file"
  491   fi
  492 done
  493 
  494 if test -r "$cache_file"; then
  495   echo "loading cache $cache_file"
  496   . $cache_file
  497 else
  498   echo "creating cache $cache_file"
  499   > $cache_file
  500 fi
  501 
  502 ac_ext=c
  503 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
  504 ac_cpp='$CPP $CPPFLAGS'
  505 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
  506 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
  507 cross_compiling=$ac_cv_prog_cc_cross
  508 
  509 ac_exeext=
  510 ac_objext=o
  511 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  512   # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  513   if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
  514     ac_n= ac_c='
  515 ' ac_t='    '
  516   else
  517     ac_n=-n ac_c= ac_t=
  518   fi
  519 else
  520   ac_n= ac_c='\c' ac_t=
  521 fi
  522 
  523 
  524 
  525 # Extract the first word of "gcc", so it can be a program name with args.
  526 set dummy gcc; ac_word=$2
  527 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
  528 echo "configure:529: checking for $ac_word" >&5
  529 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
  530   echo $ac_n "(cached) $ac_c" 1>&6
  531 else
  532   if test -n "$CC"; then
  533   ac_cv_prog_CC="$CC" # Let the user override the test.
  534 else
  535   IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
  536   ac_dummy="$PATH"
  537   for ac_dir in $ac_dummy; do
  538     test -z "$ac_dir" && ac_dir=.
  539     if test -f $ac_dir/$ac_word; then
  540       ac_cv_prog_CC="gcc"
  541       break
  542     fi
  543   done
  544   IFS="$ac_save_ifs"
  545 fi
  546 fi
  547 CC="$ac_cv_prog_CC"
  548 if test -n "$CC"; then
  549   echo "$ac_t""$CC" 1>&6
  550 else
  551   echo "$ac_t""no" 1>&6
  552 fi
  553 
  554 if test -z "$CC"; then
  555   # Extract the first word of "cc", so it can be a program name with args.
  556 set dummy cc; ac_word=$2
  557 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
  558 echo "configure:559: checking for $ac_word" >&5
  559 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
  560   echo $ac_n "(cached) $ac_c" 1>&6
  561 else
  562   if test -n "$CC"; then
  563   ac_cv_prog_CC="$CC" # Let the user override the test.
  564 else
  565   IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
  566   ac_prog_rejected=no
  567   ac_dummy="$PATH"
  568   for ac_dir in $ac_dummy; do
  569     test -z "$ac_dir" && ac_dir=.
  570     if test -f $ac_dir/$ac_word; then
  571       if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
  572         ac_prog_rejected=yes
  573     continue
  574       fi
  575       ac_cv_prog_CC="cc"
  576       break
  577     fi
  578   done
  579   IFS="$ac_save_ifs"
  580 if test $ac_prog_rejected = yes; then
  581   # We found a bogon in the path, so make sure we never use it.
  582   set dummy $ac_cv_prog_CC
  583   shift
  584   if test $# -gt 0; then
  585     # We chose a different compiler from the bogus one.
  586     # However, it has the same basename, so the bogon will be chosen
  587     # first if we set CC to just the basename; use the full file name.
  588     shift
  589     set dummy "$ac_dir/$ac_word" "$@"
  590     shift
  591     ac_cv_prog_CC="$@"
  592   fi
  593 fi
  594 fi
  595 fi
  596 CC="$ac_cv_prog_CC"
  597 if test -n "$CC"; then
  598   echo "$ac_t""$CC" 1>&6
  599 else
  600   echo "$ac_t""no" 1>&6
  601 fi
  602 
  603   if test -z "$CC"; then
  604     case "`uname -s`" in
  605     *win32* | *WIN32*)
  606       # Extract the first word of "cl", so it can be a program name with args.
  607 set dummy cl; ac_word=$2
  608 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
  609 echo "configure:610: checking for $ac_word" >&5
  610 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
  611   echo $ac_n "(cached) $ac_c" 1>&6
  612 else
  613   if test -n "$CC"; then
  614   ac_cv_prog_CC="$CC" # Let the user override the test.
  615 else
  616   IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
  617   ac_dummy="$PATH"
  618   for ac_dir in $ac_dummy; do
  619     test -z "$ac_dir" && ac_dir=.
  620     if test -f $ac_dir/$ac_word; then
  621       ac_cv_prog_CC="cl"
  622       break
  623     fi
  624   done
  625   IFS="$ac_save_ifs"
  626 fi
  627 fi
  628 CC="$ac_cv_prog_CC"
  629 if test -n "$CC"; then
  630   echo "$ac_t""$CC" 1>&6
  631 else
  632   echo "$ac_t""no" 1>&6
  633 fi
  634  ;;
  635     esac
  636   fi
  637   test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
  638 fi
  639 
  640 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
  641 echo "configure:642: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
  642 
  643 ac_ext=c
  644 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
  645 ac_cpp='$CPP $CPPFLAGS'
  646 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
  647 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
  648 cross_compiling=$ac_cv_prog_cc_cross
  649 
  650 cat > conftest.$ac_ext << EOF
  651 
  652 #line 653 "configure"
  653 #include "confdefs.h"
  654 
  655 main(){return(0);}
  656 EOF
  657 if { (eval echo configure:658: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
  658   ac_cv_prog_cc_works=yes
  659   # If we can't run a trivial program, we are probably using a cross compiler.
  660   if (./conftest; exit) 2>/dev/null; then
  661     ac_cv_prog_cc_cross=no
  662   else
  663     ac_cv_prog_cc_cross=yes
  664   fi
  665 else
  666   echo "configure: failed program was:" >&5
  667   cat conftest.$ac_ext >&5
  668   ac_cv_prog_cc_works=no
  669 fi
  670 rm -fr conftest*
  671 ac_ext=c
  672 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
  673 ac_cpp='$CPP $CPPFLAGS'
  674 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
  675 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
  676 cross_compiling=$ac_cv_prog_cc_cross
  677 
  678 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
  679 if test $ac_cv_prog_cc_works = no; then
  680   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
  681 fi
  682 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
  683 echo "configure:684: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
  684 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
  685 cross_compiling=$ac_cv_prog_cc_cross
  686 
  687 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
  688 echo "configure:689: checking whether we are using GNU C" >&5
  689 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
  690   echo $ac_n "(cached) $ac_c" 1>&6
  691 else
  692   cat > conftest.c <<EOF
  693 #ifdef __GNUC__
  694   yes;
  695 #endif
  696 EOF
  697 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:698: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
  698   ac_cv_prog_gcc=yes
  699 else
  700   ac_cv_prog_gcc=no
  701 fi
  702 fi
  703 
  704 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
  705 
  706 if test $ac_cv_prog_gcc = yes; then
  707   GCC=yes
  708 else
  709   GCC=
  710 fi
  711 
  712 ac_test_CFLAGS="${CFLAGS+set}"
  713 ac_save_CFLAGS="$CFLAGS"
  714 CFLAGS=
  715 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
  716 echo "configure:717: checking whether ${CC-cc} accepts -g" >&5
  717 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
  718   echo $ac_n "(cached) $ac_c" 1>&6
  719 else
  720   echo 'void f(){}' > conftest.c
  721 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
  722   ac_cv_prog_cc_g=yes
  723 else
  724   ac_cv_prog_cc_g=no
  725 fi
  726 rm -f conftest*
  727 
  728 fi
  729 
  730 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
  731 if test "$ac_test_CFLAGS" = set; then
  732   CFLAGS="$ac_save_CFLAGS"
  733 elif test $ac_cv_prog_cc_g = yes; then
  734   if test "$GCC" = yes; then
  735     CFLAGS="-g -O2"
  736   else
  737     CFLAGS="-g"
  738   fi
  739 else
  740   if test "$GCC" = yes; then
  741     CFLAGS="-O2"
  742   else
  743     CFLAGS=
  744   fi
  745 fi
  746 
  747 
  748 
  749 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
  750 echo "configure:751: checking how to run the C preprocessor" >&5
  751 # On Suns, sometimes $CPP names a directory.
  752 if test -n "$CPP" && test -d "$CPP"; then
  753   CPP=
  754 fi
  755 if test -z "$CPP"; then
  756 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
  757   echo $ac_n "(cached) $ac_c" 1>&6
  758 else
  759     # This must be in double quotes, not single quotes, because CPP may get
  760   # substituted into the Makefile and "${CC-cc}" will confuse make.
  761   CPP="${CC-cc} -E"
  762   # On the NeXT, cc -E runs the code through the compiler's parser,
  763   # not just through cpp.
  764   cat > conftest.$ac_ext <<EOF
  765 #line 766 "configure"
  766 #include "confdefs.h"
  767 #include <assert.h>
  768 Syntax Error
  769 EOF
  770 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
  771 { (eval echo configure:772: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  772 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  773 if test -z "$ac_err"; then
  774   :
  775 else
  776   echo "$ac_err" >&5
  777   echo "configure: failed program was:" >&5
  778   cat conftest.$ac_ext >&5
  779   rm -rf conftest*
  780   CPP="${CC-cc} -E -traditional-cpp"
  781   cat > conftest.$ac_ext <<EOF
  782 #line 783 "configure"
  783 #include "confdefs.h"
  784 #include <assert.h>
  785 Syntax Error
  786 EOF
  787 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
  788 { (eval echo configure:789: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  789 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  790 if test -z "$ac_err"; then
  791   :
  792 else
  793   echo "$ac_err" >&5
  794   echo "configure: failed program was:" >&5
  795   cat conftest.$ac_ext >&5
  796   rm -rf conftest*
  797   CPP="${CC-cc} -nologo -E"
  798   cat > conftest.$ac_ext <<EOF
  799 #line 800 "configure"
  800 #include "confdefs.h"
  801 #include <assert.h>
  802 Syntax Error
  803 EOF
  804 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
  805 { (eval echo configure:806: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  806 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  807 if test -z "$ac_err"; then
  808   :
  809 else
  810   echo "$ac_err" >&5
  811   echo "configure: failed program was:" >&5
  812   cat conftest.$ac_ext >&5
  813   rm -rf conftest*
  814   CPP=/lib/cpp
  815 fi
  816 rm -f conftest*
  817 fi
  818 rm -f conftest*
  819 fi
  820 rm -f conftest*
  821   ac_cv_prog_CPP="$CPP"
  822 fi
  823   CPP="$ac_cv_prog_CPP"
  824 else
  825   ac_cv_prog_CPP="$CPP"
  826 fi
  827 echo "$ac_t""$CPP" 1>&6
  828 
  829 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
  830 echo "configure:831: checking for ANSI C header files" >&5
  831 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
  832   echo $ac_n "(cached) $ac_c" 1>&6
  833 else
  834   cat > conftest.$ac_ext <<EOF
  835 #line 836 "configure"
  836 #include "confdefs.h"
  837 #include <stdlib.h>
  838 #include <stdarg.h>
  839 #include <string.h>
  840 #include <float.h>
  841 EOF
  842 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
  843 { (eval echo configure:844: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  844 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  845 if test -z "$ac_err"; then
  846   rm -rf conftest*
  847   ac_cv_header_stdc=yes
  848 else
  849   echo "$ac_err" >&5
  850   echo "configure: failed program was:" >&5
  851   cat conftest.$ac_ext >&5
  852   rm -rf conftest*
  853   ac_cv_header_stdc=no
  854 fi
  855 rm -f conftest*
  856 
  857 if test $ac_cv_header_stdc = yes; then
  858   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  859 cat > conftest.$ac_ext <<EOF
  860 #line 861 "configure"
  861 #include "confdefs.h"
  862 #include <string.h>
  863 EOF
  864 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  865   egrep "memchr" >/dev/null 2>&1; then
  866   :
  867 else
  868   rm -rf conftest*
  869   ac_cv_header_stdc=no
  870 fi
  871 rm -f conftest*
  872 
  873 fi
  874 
  875 if test $ac_cv_header_stdc = yes; then
  876   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  877 cat > conftest.$ac_ext <<EOF
  878 #line 879 "configure"
  879 #include "confdefs.h"
  880 #include <stdlib.h>
  881 EOF
  882 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  883   egrep "free" >/dev/null 2>&1; then
  884   :
  885 else
  886   rm -rf conftest*
  887   ac_cv_header_stdc=no
  888 fi
  889 rm -f conftest*
  890 
  891 fi
  892 
  893 if test $ac_cv_header_stdc = yes; then
  894   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
  895 if test "$cross_compiling" = yes; then
  896   :
  897 else
  898   cat > conftest.$ac_ext <<EOF
  899 #line 900 "configure"
  900 #include "confdefs.h"
  901 #include <ctype.h>
  902 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
  903 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
  904 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
  905 int main () { int i; for (i = 0; i < 256; i++)
  906 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
  907 exit (0); }
  908 
  909 EOF
  910 if { (eval echo configure:911: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
  911 then
  912   :
  913 else
  914   echo "configure: failed program was:" >&5
  915   cat conftest.$ac_ext >&5
  916   rm -fr conftest*
  917   ac_cv_header_stdc=no
  918 fi
  919 rm -fr conftest*
  920 fi
  921 
  922 fi
  923 fi
  924 
  925 echo "$ac_t""$ac_cv_header_stdc" 1>&6
  926 if test $ac_cv_header_stdc = yes; then
  927   cat >> confdefs.h <<\EOF
  928 #define STDC_HEADERS 1
  929 EOF
  930 
  931 fi
  932 
  933 for ac_hdr in unistd.h
  934 do
  935 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
  936 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
  937 echo "configure:938: checking for $ac_hdr" >&5
  938 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  939   echo $ac_n "(cached) $ac_c" 1>&6
  940 else
  941   cat > conftest.$ac_ext <<EOF
  942 #line 943 "configure"
  943 #include "confdefs.h"
  944 #include <$ac_hdr>
  945 EOF
  946 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
  947 { (eval echo configure:948: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  948 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  949 if test -z "$ac_err"; then
  950   rm -rf conftest*
  951   eval "ac_cv_header_$ac_safe=yes"
  952 else
  953   echo "$ac_err" >&5
  954   echo "configure: failed program was:" >&5
  955   cat conftest.$ac_ext >&5
  956   rm -rf conftest*
  957   eval "ac_cv_header_$ac_safe=no"
  958 fi
  959 rm -f conftest*
  960 fi
  961 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  962   echo "$ac_t""yes" 1>&6
  963     ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
  964   cat >> confdefs.h <<EOF
  965 #define $ac_tr_hdr 1
  966 EOF
  967  
  968 else
  969   echo "$ac_t""no" 1>&6
  970 fi
  971 done
  972 
  973 
  974 
  975 for ac_func in strspn
  976 do
  977 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
  978 echo "configure:979: checking for $ac_func" >&5
  979 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
  980   echo $ac_n "(cached) $ac_c" 1>&6
  981 else
  982   cat > conftest.$ac_ext <<EOF
  983 #line 984 "configure"
  984 #include "confdefs.h"
  985 /* System header to define __stub macros and hopefully few prototypes,
  986     which can conflict with char $ac_func(); below.  */
  987 #include <assert.h>
  988 /* Override any gcc2 internal prototype to avoid an error.  */
  989 /* We use char because int might match the return type of a gcc2
  990     builtin and then its argument prototype would still apply.  */
  991 char $ac_func();
  992 
  993 int main() {
  994 
  995 /* The GNU C library defines this for functions which it implements
  996     to always fail with ENOSYS.  Some functions are actually named
  997     something starting with __ and the normal name is an alias.  */
  998 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
  999 choke me
 1000 #else
 1001 $ac_func();
 1002 #endif
 1003 
 1004 ; return 0; }
 1005 EOF
 1006 if { (eval echo configure:1007: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
 1007   rm -rf conftest*
 1008   eval "ac_cv_func_$ac_func=yes"
 1009 else
 1010   echo "configure: failed program was:" >&5
 1011   cat conftest.$ac_ext >&5
 1012   rm -rf conftest*
 1013   eval "ac_cv_func_$ac_func=no"
 1014 fi
 1015 rm -f conftest*
 1016 fi
 1017 
 1018 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
 1019   echo "$ac_t""yes" 1>&6
 1020     ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
 1021   cat >> confdefs.h <<EOF
 1022 #define $ac_tr_func 1
 1023 EOF
 1024  
 1025 else
 1026   echo "$ac_t""no" 1>&6
 1027 fi
 1028 done
 1029 
 1030 
 1031 trap '' 1 2 15
 1032 cat > confcache <<\EOF
 1033 # This file is a shell script that caches the results of configure
 1034 # tests run on this system so they can be shared between configure
 1035 # scripts and configure runs.  It is not useful on other systems.
 1036 # If it contains results you don't want to keep, you may remove or edit it.
 1037 #
 1038 # By default, configure uses ./config.cache as the cache file,
 1039 # creating it if it does not exist already.  You can give configure
 1040 # the --cache-file=FILE option to use a different cache file; that is
 1041 # what configure does when it calls configure scripts in
 1042 # subdirectories, so they share the cache.
 1043 # Giving --cache-file=/dev/null disables caching, for debugging configure.
 1044 # config.status only pays attention to the cache file if you give it the
 1045 # --recheck option to rerun configure.
 1046 #
 1047 EOF
 1048 # The following way of writing the cache mishandles newlines in values,
 1049 # but we know of no workaround that is simple, portable, and efficient.
 1050 # So, don't put newlines in cache variables' values.
 1051 # Ultrix sh set writes to stderr and can't be redirected directly,
 1052 # and sets the high bit in the cache file unless we assign to the vars.
 1053 (set) 2>&1 |
 1054   case `(ac_space=' '; set | grep ac_space) 2>&1` in
 1055   *ac_space=\ *)
 1056     # `set' does not quote correctly, so add quotes (double-quote substitution
 1057     # turns \\\\ into \\, and sed turns \\ into \).
 1058     sed -n \
 1059       -e "s/'/'\\\\''/g" \
 1060       -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
 1061     ;;
 1062   *)
 1063     # `set' quotes correctly as required by POSIX, so do not add quotes.
 1064     sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
 1065     ;;
 1066   esac >> confcache
 1067 if cmp -s $cache_file confcache; then
 1068   :
 1069 else
 1070   if test -w $cache_file; then
 1071     echo "updating cache $cache_file"
 1072     cat confcache > $cache_file
 1073   else
 1074     echo "not updating unwritable cache $cache_file"
 1075   fi
 1076 fi
 1077 rm -f confcache
 1078 
 1079 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
 1080 
 1081 test "x$prefix" = xNONE && prefix=$ac_default_prefix
 1082 # Let make expand exec_prefix.
 1083 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
 1084 
 1085 # Any assignment to VPATH causes Sun make to only execute
 1086 # the first set of double-colon rules, so remove it if not needed.
 1087 # If there is a colon in the path, we need to keep it.
 1088 if test "x$srcdir" = x.; then
 1089   ac_vpsub='/^[     ]*VPATH[    ]*=[^:]*$/d'
 1090 fi
 1091 
 1092 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
 1093 
 1094 # Transform confdefs.h into DEFS.
 1095 # Protect against shell expansion while executing Makefile rules.
 1096 # Protect against Makefile macro expansion.
 1097 cat > conftest.defs <<\EOF
 1098 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
 1099 s%[     `~#$^&*(){}\\|;'"<>?]%\\&%g
 1100 s%\[%\\&%g
 1101 s%\]%\\&%g
 1102 s%\$%$$%g
 1103 EOF
 1104 DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
 1105 rm -f conftest.defs
 1106 
 1107 
 1108 # Without the "./", some shells look in PATH for config.status.
 1109 : ${CONFIG_STATUS=./config.status}
 1110 
 1111 echo creating $CONFIG_STATUS
 1112 rm -f $CONFIG_STATUS
 1113 cat > $CONFIG_STATUS <<EOF
 1114 #! /bin/sh
 1115 # Generated automatically by configure.
 1116 # Run this file to recreate the current configuration.
 1117 # This directory was configured as follows,
 1118 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
 1119 #
 1120 # $0 $ac_configure_args
 1121 #
 1122 # Compiler output produced by configure, useful for debugging
 1123 # configure, is in ./config.log if it exists.
 1124 
 1125 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
 1126 for ac_option
 1127 do
 1128   case "\$ac_option" in
 1129   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
 1130     echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
 1131     exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
 1132   -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
 1133     echo "$CONFIG_STATUS generated by autoconf version 2.13"
 1134     exit 0 ;;
 1135   -help | --help | --hel | --he | --h)
 1136     echo "\$ac_cs_usage"; exit 0 ;;
 1137   *) echo "\$ac_cs_usage"; exit 1 ;;
 1138   esac
 1139 done
 1140 
 1141 ac_given_srcdir=$srcdir
 1142 
 1143 trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
 1144 EOF
 1145 cat >> $CONFIG_STATUS <<EOF
 1146 
 1147 # Protect against being on the right side of a sed subst in config.status.
 1148 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
 1149  s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
 1150 $ac_vpsub
 1151 $extrasub
 1152 s%@SHELL@%$SHELL%g
 1153 s%@CFLAGS@%$CFLAGS%g
 1154 s%@CPPFLAGS@%$CPPFLAGS%g
 1155 s%@CXXFLAGS@%$CXXFLAGS%g
 1156 s%@FFLAGS@%$FFLAGS%g
 1157 s%@DEFS@%$DEFS%g
 1158 s%@LDFLAGS@%$LDFLAGS%g
 1159 s%@LIBS@%$LIBS%g
 1160 s%@exec_prefix@%$exec_prefix%g
 1161 s%@prefix@%$prefix%g
 1162 s%@program_transform_name@%$program_transform_name%g
 1163 s%@bindir@%$bindir%g
 1164 s%@sbindir@%$sbindir%g
 1165 s%@libexecdir@%$libexecdir%g
 1166 s%@datadir@%$datadir%g
 1167 s%@sysconfdir@%$sysconfdir%g
 1168 s%@sharedstatedir@%$sharedstatedir%g
 1169 s%@localstatedir@%$localstatedir%g
 1170 s%@libdir@%$libdir%g
 1171 s%@includedir@%$includedir%g
 1172 s%@oldincludedir@%$oldincludedir%g
 1173 s%@infodir@%$infodir%g
 1174 s%@mandir@%$mandir%g
 1175 s%@CC@%$CC%g
 1176 s%@CPP@%$CPP%g
 1177 
 1178 CEOF
 1179 EOF
 1180 
 1181 cat >> $CONFIG_STATUS <<\EOF
 1182 
 1183 # Split the substitutions into bite-sized pieces for seds with
 1184 # small command number limits, like on Digital OSF/1 and HP-UX.
 1185 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
 1186 ac_file=1 # Number of current file.
 1187 ac_beg=1 # First line for current file.
 1188 ac_end=$ac_max_sed_cmds # Line after last line for current file.
 1189 ac_more_lines=:
 1190 ac_sed_cmds=""
 1191 while $ac_more_lines; do
 1192   if test $ac_beg -gt 1; then
 1193     sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
 1194   else
 1195     sed "${ac_end}q" conftest.subs > conftest.s$ac_file
 1196   fi
 1197   if test ! -s conftest.s$ac_file; then
 1198     ac_more_lines=false
 1199     rm -f conftest.s$ac_file
 1200   else
 1201     if test -z "$ac_sed_cmds"; then
 1202       ac_sed_cmds="sed -f conftest.s$ac_file"
 1203     else
 1204       ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
 1205     fi
 1206     ac_file=`expr $ac_file + 1`
 1207     ac_beg=$ac_end
 1208     ac_end=`expr $ac_end + $ac_max_sed_cmds`
 1209   fi
 1210 done
 1211 if test -z "$ac_sed_cmds"; then
 1212   ac_sed_cmds=cat
 1213 fi
 1214 EOF
 1215 
 1216 cat >> $CONFIG_STATUS <<EOF
 1217 
 1218 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
 1219 EOF
 1220 cat >> $CONFIG_STATUS <<\EOF
 1221 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
 1222   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
 1223   case "$ac_file" in
 1224   *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
 1225        ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
 1226   *) ac_file_in="${ac_file}.in" ;;
 1227   esac
 1228 
 1229   # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
 1230 
 1231   # Remove last slash and all that follows it.  Not all systems have dirname.
 1232   ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
 1233   if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
 1234     # The file is in a subdirectory.
 1235     test ! -d "$ac_dir" && mkdir "$ac_dir"
 1236     ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
 1237     # A "../" for each directory in $ac_dir_suffix.
 1238     ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
 1239   else
 1240     ac_dir_suffix= ac_dots=
 1241   fi
 1242 
 1243   case "$ac_given_srcdir" in
 1244   .)  srcdir=.
 1245       if test -z "$ac_dots"; then top_srcdir=.
 1246       else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
 1247   /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
 1248   *) # Relative path.
 1249     srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
 1250     top_srcdir="$ac_dots$ac_given_srcdir" ;;
 1251   esac
 1252 
 1253 
 1254   echo creating "$ac_file"
 1255   rm -f "$ac_file"
 1256   configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
 1257   case "$ac_file" in
 1258   *Makefile*) ac_comsub="1i\\
 1259 # $configure_input" ;;
 1260   *) ac_comsub= ;;
 1261   esac
 1262 
 1263   ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
 1264   sed -e "$ac_comsub
 1265 s%@configure_input@%$configure_input%g
 1266 s%@srcdir@%$srcdir%g
 1267 s%@top_srcdir@%$top_srcdir%g
 1268 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
 1269 fi; done
 1270 rm -f conftest.s*
 1271 
 1272 EOF
 1273 cat >> $CONFIG_STATUS <<EOF
 1274 
 1275 EOF
 1276 cat >> $CONFIG_STATUS <<\EOF
 1277 
 1278 exit 0
 1279 EOF
 1280 chmod +x $CONFIG_STATUS
 1281 rm -fr confdefs* $ac_clean_files
 1282 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
 1283